import { List, Datagrid, TextField, EditButton, ReferenceField } from "react-admin";

function SectionsList() {
  return (
    <List>
      <Datagrid>
        <TextField source="id" />
        <TextField source="name" />
        <ReferenceField label="Root section" source="root_section_id" reference="sections">
          <TextField source="name" />
        </ReferenceField>
        <EditButton />
      </Datagrid>
    </List>
  );
};

export default SectionsList;