import { List, Datagrid, TextField, EditButton, ReferenceField } from "react-admin";

function ThreadsList() {
  return (
    <List>
      <Datagrid>
        <TextField source="id" />
        <TextField source="name" />
        <ReferenceField label="Section" source="section_id" reference="sections">
          <TextField source="name" />
        </ReferenceField>
        <ReferenceField label="User" source="creator_id" reference="users">
          <TextField source="nickname" />
        </ReferenceField>
        <EditButton />
      </Datagrid>
    </List>
  );
}

export default ThreadsList;
