import { List, Datagrid, TextField, EditButton, ReferenceField } from "react-admin";

function UsersList() {
  return (
    <List>
      <Datagrid>
        <TextField source="id" />
        <TextField source="nickname" />
        <TextField source="email" />
        <TextField source="avatar" />
        <ReferenceField label="Role" source="role_id" reference="roles">
          <TextField source="name" />
        </ReferenceField>
        <EditButton />
      </Datagrid>
    </List>
  );
};

export default UsersList;