import { Router } from "express";
import RoleController from "../../controllers/role/role.controller";

const roleRouter = Router();

roleRouter.post("/", RoleController.create);
roleRouter.get("/", RoleController.getAll);
roleRouter.get("/get-many", RoleController.getMany);
roleRouter.get("/:id", RoleController.getById);
roleRouter.put("/:id", RoleController.update);
roleRouter.delete("/delete-many", RoleController.deleteMany);
roleRouter.delete("/:id", RoleController.delete);

export default roleRouter;
