import { Router } from "express";
import ThreadController from "../../controllers/thread/thread.controller";

const threadRouter = Router();

threadRouter.post("/", ThreadController.create);
threadRouter.get("/", ThreadController.getAll);
threadRouter.get("/get-many", ThreadController.getMany);
threadRouter.get("/:id", ThreadController.getById);
threadRouter.put("/:id", ThreadController.update);
threadRouter.delete("/delete-many", ThreadController.deleteMany);
threadRouter.delete("/:id", ThreadController.delete);

export default threadRouter;
