import { faker } from "@faker-js/faker";
import { sequelize } from "./../../db";

export async function seedRoles(length: number) {
  if (length <= 0) return;

  try {
    let startQueryString = `INSERT INTO roles (name) VALUES `;
    for (let i = 0; i < length; i++) {
      if (i !== length - 1) startQueryString += `('${faker.person.jobType()}'), `;
      else startQueryString += `('${faker.person.jobType()}')`;
    }

    await sequelize.query(`${startQueryString};`);
    console.log("Roles seeded successfully!");
  } catch (error) {
    console.log("Error seeding roles: ", error);
  }
}
