import { List, Datagrid, TextField, EditButton, ReferenceField } from "react-admin";

function MessagesList() {
  return (
    <List>
      <Datagrid>
        <TextField source="id" />
        <TextField source="text" />
        <ReferenceField label="User" source="user_id" reference="users">
          <TextField source="nickname" />
        </ReferenceField>
        <ReferenceField label="Thread" source="thread_id" reference="threads">
          <TextField source="name" />
        </ReferenceField>
        <EditButton />
      </Datagrid>
    </List>
  );
};

export default MessagesList;