import { Edit, SimpleForm, TextInput } from "react-admin";
import Title from "../Title";

function RoleEdit() {
  return (
    <Edit title={<Title prefixText="Роль" />} actions={false}>
      <SimpleForm>
        <TextInput source="name" fullWidth />
      </SimpleForm>
    </Edit>
  );
}

export default RoleEdit;
