import { Router } from "express";
import roleRouter from "./routes/role.router";
import userRouter from "./routes/user.router";
import sectionRouter from "./routes/section.router";
import threadRouter from "./routes/thread.router";
import messageRouter from "./routes/message.router";

export const router = Router();

router.use("/roles", roleRouter);
router.use("/users", userRouter);
router.use("/sections", sectionRouter);
router.use("/threads", threadRouter);
router.use("/messages", messageRouter);
