import { Router } from "express";
import SectionController from "../../controllers/section/section.controller";

const sectionRouter = Router();

sectionRouter.post("/", SectionController.create);
sectionRouter.get("/", SectionController.getAll);
sectionRouter.get("/get-many", SectionController.getMany);
sectionRouter.get("/get-filtered-list", SectionController.getFillteredList);
sectionRouter.get("/:id", SectionController.getById);
sectionRouter.put("/:id", SectionController.update);
sectionRouter.delete("/delete-many", SectionController.deleteMany);
sectionRouter.delete("/:id", SectionController.delete);

export default sectionRouter;
